Page MenuHomePhabricator

Move parsoid logging to new logging pipeline
Closed, ResolvedPublic

Description

We need to move Parsoid to the new logging pipeline. The config should be updated similar to https://gerrit.wikimedia.org/r/#/c/mediawiki/services/change-propagation/deploy/+/500813 and newest node dependencies should be used (newest version of service-runner.

Event Timeline

Pchelolo created this task.Apr 2 2019, 7:30 PM

@fgiunchedi Since Parsoid is being moved over to PHP in the next 2 Qs, is there still point in moving the Node.js version over to the new pipeline?

fgiunchedi triaged this task as Normal priority.Apr 9 2019, 8:37 AM
ssastry moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Apr 22 2019, 12:04 PM

Change 512064 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Bump to service-runner@2.6.18

https://gerrit.wikimedia.org/r/512064

Change 512064 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Bump to service-runner@2.6.19

https://gerrit.wikimedia.org/r/512064

Change 512403 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid/deploy@master] Switch logging to rsyslog

https://gerrit.wikimedia.org/r/512403

Change 512403 merged by jenkins-bot:
[mediawiki/services/parsoid/deploy@master] Switch logging to rsyslog

https://gerrit.wikimedia.org/r/512403

Mentioned in SAL (#wikimedia-operations) [2019-05-29T20:35:53Z] <arlolra> Updated Parsoid to 8546c79 (T219927, T211125)

Arlolra closed this task as Resolved.May 29 2019, 8:40 PM
Arlolra claimed this task.